#include "skip.h"

Skip::Skip() {
  this->row = 0;
  this->collum = 0;
}

bool Skip::setSkip(QByteArray &data) {
  if (data.length() == 2) {
    this->row = static_cast<uint8_t>(data[0]);
    this->collum = static_cast<uint8_t>(data[1]);
    return true;
  }
  return false;
}

QTextStream &operator<<(QTextStream &out, Skip skp) {
  out << "{\n";
  out << tab << CMOSSkipRowText << ": " << skp.row << endValue;
  out << tab << CMOSSkipColText << ": " << skp.collum << endValue;
  out << "}";
  return out;
}
